Bug 34320 - Hide apps on i386
Hide apps on i386
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 3.2
Other Linux
: P5 enhancement (vote)
: UCS 3.2-1-errata
Assigned To: Dirk Wiesenthal
Felix Botner
:
Depends on:
Blocks: 31792 35210
  Show dependency treegraph
 
Reported: 2014-03-12 07:44 CET by Stefan Gohmann
Modified: 2014-06-27 13:42 CEST (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-03-12 07:44:01 CET
It should be possible to define that a specified app is not available on i386.
Comment 1 Dirk Wiesenthal univentionstaff 2014-03-19 22:29:35 CET
See Bug#31792: Test needs to be adapted if it is allowed to not provide i386 packages
Comment 2 Stefan Gohmann univentionstaff 2014-03-20 11:09:20 CET
(In reply to Stefan Gohmann from comment #0)
> It should be possible to define that a specified app is not available on
> i386.

The App should be shown in any case. But the installation should be blocked if the architecture does not match.
Comment 3 Dirk Wiesenthal univentionstaff 2014-03-20 22:01:50 CET
Fixed in
  univention-management-console-module-appcenter 3.0.51-7.241.201403202158

Updated the developer reference

Updated open-xchange-text.ini on the Test App Center. Should be changed also in the "real" one once this has been verified.
Comment 4 Dirk Wiesenthal univentionstaff 2014-03-20 22:04:55 CET
Usage:

ini:
# If not given, both archs are supported
# Can be comma separated, but does not really make sense to specify both...
SupportedArchitectures=amd64
Comment 5 Felix Botner univentionstaff 2014-03-21 12:05:02 CET
OK - SupportedArchitectures works as expected 
OK - Updated the developer reference
OK - YAML
Comment 6 Moritz Muehlenhoff univentionstaff 2014-04-09 08:26:37 CEST
http://errata.univention.de/ucs/3.2/86.html